# FAQ and Troubleshooting

## Frequently Asked Questions

<details>

<summary>How are NULL fields handled in the response?</summary>

NULL results which are part of a response element are not returned. Certain fields are mandatory, you can see which in the [API Endpoints](/api-endpoints.md) page.

</details>

<details>

<summary>How do I link my each Sesame Data entityId to my specific bank account?</summary>

We recommend giving the entity a name which communicates its distinct bank account code. The [Entity List](/api-endpoints/entity-list.md)  endpoint also provides the custodian name and entity reporting currency which may be useful. We recommend that Sesame Data clients maintain a mapping table of entityId to bank account number.&#x20;

</details>

<details>

<summary>ISIN is available in transactions and holdings endpoints. How should I know which asset is in the response if the custodian sends a CUSIP, SEDOL or Valoren?</summary>

We recommend clients maintain a mapping table of `assetId` to the asset security (ie asset) object on their relevant software. This will require updating when a new asset is transacted or hel

</details>

<details>

<summary>What if I have an error message that I cannot resolve?</summary>

Raise a Sesame support ticket by emailing <support@landytech.com>. Please provide details of the request made.

</details>

<details>

<summary>What if I have a query about the data returned in the response, or the data does not reflect what is in my bank statement?</summary>

Raise a Sesame support ticket by emailing <support@landytech.com>. Please provide details of the request made and the discrepancy.&#x20;

</details>

<details>

<summary>Do you separate different asset types between endpoints?</summary>

No. For example, all positions (regardless of the underlying asset type) are found in the `holdings` endpoint. Similarly, all transactions (regardless of the underlying asset type) are all found in the `transactions` endpoint.

</details>

<details>

<summary>How are cash transactions and positions treated? </summary>

Like any other asset or liability, different currencies have their own assetIds. In the subportfolioholdings endpoint, you can rely on the localCurrency field to inform which currency the balance is in.

</details>

<details>

<summary>Can I make changes to the transaction subtype, amount, etc in the API data? </summary>

Changes to the output data is not supported as all data must respect our data integrity protocols. If you have a concern you would like to discuss, please raise a Sesame support ticket by emailing <support@landytech.com>.

</details>

<details>

<summary>How does Sub Portfolio Holdings differ from Holdings?</summary>

For a given date, Sub Portfolio Holdings provides multiple cash balances of per currency per entity, where these have been received from the custodian. In holdings, these are aggregated in a single balance. The field subPortfolioCode must be distinct between different balances for this to be relevant for a custodian. This field can also be referred to as broker code or broke account code, and is unique to each sub classification of cash (classification is usually based on intention).

</details>

<details>

<summary>How do you handle transactions which are reversals of previous transactions?</summary>

In the transaction endpoint, the `reversal` field will indicate if a transaction is a reversal. Where true, the directions of fields like amount and movementRc will be opposite to those from the original transaction. Where possible, the description will help link the reversal and original transactions.&#x20;

</details>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.landytech.com/faq-and-troubleshooting.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
